ObjectARX
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

How cab i get objects by use to iterator with filter to a layer

3 REPLIES 3
Reply
Message 1 of 4
Anonymous
165 Views, 3 Replies

How cab i get objects by use to iterator with filter to a layer

hello all
i'm looking for the ADN or ObjectARX help book but i can not found it. how
can i get the objects from whilch layer is filtering apply to layer without
AcDbEntity::layerId()

anyone advice to me plz
thx for read
3 REPLIES 3
Message 2 of 4
Anonymous
in reply to: Anonymous

The ObjectARX Reference Guide and ObjectARX Developers Guide are stored as
.chm files in the docs folder of your Objectarx installation.

Cheers,

Stephen Preston
Developer Technical Services
Autodesk


"honesty man" wrote in message
news:3D644F24EBA1D8D60BF1028F75124591@in.WebX.maYIadrTaRb...
> hello all
> i'm looking for the ADN or ObjectARX help book but i can not found it. how
> can i get the objects from whilch layer is filtering apply to layer
without
> AcDbEntity::layerId()
>
> anyone advice to me plz
> thx for read
>
>
Message 3 of 4
Anonymous
in reply to: Anonymous

Hello,

I think I am doing something like this on my project. I'm looking for any
entity with a layer "10",
and replacing it if text. You can get the layer name with
AcDbEntity::layer() which returns the layer as a string.

For my application, I do:

if (atoi(pEntSeed->layer()) == 10)
{
.
.
.
}


Hope this helps,
Garrett.

honesty man wrote in message
<3D644F24EBA1D8D60BF1028F75124591@in.WebX.maYIadrTaRb>...
>hello all
>i'm looking for the ADN or ObjectARX help book but i can not found it. how
>can i get the objects from whilch layer is filtering apply to layer
without
>AcDbEntity::layerId()
>
>anyone advice to me plz
>thx for read
>
>
Message 4 of 4
Anonymous
in reply to: Anonymous

Garrett,

Just so you know, the sample you posted will leak quit a bit of memory if it
is called very often. The call to layer() returns a string that must be
freed by the caller. It's much more efficient to get the objectId of the
layer '10' and then do objectId comparisions instead of string comparisons.
Something like

if ( idOfLayer10 == pEntSeed->layerId() )
{
.
.
.
}

Regards,

-Mike

"garrett beaubien" wrote in message
news:642F64B836EEEA691B31C811EA447344@in.WebX.maYIadrTaRb...
> Hello,
>
> I think I am doing something like this on my project. I'm looking for any
> entity with a layer "10",
> and replacing it if text. You can get the layer name with
> AcDbEntity::layer() which returns the layer as a string.
>
> For my application, I do:
>
> if (atoi(pEntSeed->layer()) == 10)
> {
> .
> .
> .
> }
>
>
> Hope this helps,
> Garrett.
>
> honesty man wrote in message
> <3D644F24EBA1D8D60BF1028F75124591@in.WebX.maYIadrTaRb>...
> >hello all
> >i'm looking for the ADN or ObjectARX help book but i can not found it.
how
> >can i get the objects from whilch layer is filtering apply to layer
> without
> >AcDbEntity::layerId()
> >
> >anyone advice to me plz
> >thx for read
> >
> >
>
>

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost